<?php


namespace App\Repositories;


use App\Plan;

class PlanRepository {
    public static function all() {
        return Plan::all();
    }

    public static function find($id){
        return Plan::findOrFail($id);
    }

    public static function create(array $data) {
        return Plan::create($data);
    }

    public static function update(array $data, $id) {
        Plan::findOrFail($id)->update($data);
        return Plan::findOrFail($id);
    }

    public static function delete($id){
        return Plan::destroy($id);
    }
}
